curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
Eventos
Listar Eventos do Calendário
Listar eventos em um calendário
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
Listar Eventos do Calendário
Listar eventos em um único calendário, opcionalmente filtrados por intervalo de tempo.Endpoint
GET /api/v1/calendars/{calendar_id}/events
Parâmetros de caminho
string
obrigatório
UUID do calendário.
Parâmetros de consulta
string
Limite inferior ISO 8601 para
start_at.string
Limite superior ISO 8601 para
end_at.string
Filtrar por status:
confirmed, tentative, cancelled.Cabeçalhos da requisição
string
obrigatório
Token Bearer para autenticação. Formato:
Bearer talq_your_environment_token_hereExemplos
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
Resposta
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
Esta página foi útil?